package com;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * 启动程序
 * 
 * @author lei_wang
 */
@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
public class LeispApplication
{
    public static void main(String[] args)
    {
        // System.setProperty("spring.devtools.restart.enabled", "false");
        SpringApplication.run(LeispApplication.class, args);
        System.out.println("**********SOOKA 管理系統 启动成功********* \n" +
                "   _____  ____   ____  _  __                 _____ _____  \n" +
                "  / ____|/ __ \\ / __ \\| |/ /    /\\    ___   / ____|  __ \\ \n" +
                " | (___ | |  | | |  | | ' /    /  \\  ( _ ) | (___ | |__) |\n" +
                "  \\___ \\| |  | | |  | |  <    / /\\ \\ / _ \\/\\\\___ \\|  ___/ \n" +
                "  ____) | |__| | |__| | . \\  / ____ \\ (_>  <____) | |     \n" +
                " |_____/ \\____/ \\____/|_|\\_\\/_/    \\_\\___/\\/_____/|_|     \n" +
                "                                                          \n" +
                "                                              ");
    }
}