package com.business.service.impl;

import com.business.domain.ImputationData;
import com.business.mapper.ImputationDataMapper;
import com.business.service.ImputationDataService;
import com.sooka.common.utils.DateUtils;
import com.sooka.system.domain.TULog;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author Administrator
 */
@Service
public class ImputationDataServiceImpl   implements ImputationDataService {

    @Resource
    ImputationDataMapper imputationDataMapper;
    /**
     * 查询日志归集数据
     *
     * @param imputationData 日志归集数据
     * @return 结果
     */
    @Override
    public ImputationData selectImputationData(ImputationData imputationData){
        return imputationDataMapper.selectImputationData(imputationData);
    }

    /**
     * 新增日志归集数据
     *
     * @param imputationData 日志归集数据
     * @return 结果
     */
    @Override
    public int insertImputationData(ImputationData imputationData)
    {
        return imputationDataMapper.insertImputationData(imputationData);
    }

    /**
     * 修改日志归集数据
     *
     * @param imputationData 日志归集数据
     * @return 结果
     */
    @Override
    public int updateImputationData(ImputationData imputationData)
    {
        return imputationDataMapper.updateImputationData(imputationData);
    }


}
