package com.sooka.system.gas.xinKer_acceptance_infor.service;

import com.sooka.system.gas.xinKer_acceptance_infor.domain.TGuijiXinKerAcceptanceInfor;

import java.util.List;

/**
 * 鑫科客户系统-受理信息Service接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface ITGuijiXinKerAcceptanceInforService
{
    /**
     * 查询鑫科客户系统-受理信息
     *
     * @param id 鑫科客户系统-受理信息ID
     * @return 鑫科客户系统-受理信息
     */
    public TGuijiXinKerAcceptanceInfor selectById(String id);

    /**
     * 查询鑫科客户系统-受理信息列表
     *
     * @param param 鑫科客户系统-受理信息
     * @return 鑫科客户系统-受理信息集合
     */
    public List<TGuijiXinKerAcceptanceInfor> selectList(TGuijiXinKerAcceptanceInfor param);

    /**
     * 新增鑫科客户系统-受理信息
     *
     * @param param 鑫科客户系统-受理信息
     * @return 结果
     */
    public int insert(TGuijiXinKerAcceptanceInfor param);

    /**
     * 修改鑫科客户系统-受理信息
     *
     * @param param 鑫科客户系统-受理信息
     * @return 结果
     */
    public int update(TGuijiXinKerAcceptanceInfor param);

    /**
     * 批量删除鑫科客户系统-受理信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String ids);

    /**
     * 删除鑫科客户系统-受理信息信息
     *
     * @param id 鑫科客户系统-受理信息ID
     * @return 结果
     */
    public int deleteById(String id);
}
