package com.sooka.system.gas.zenner_gas_purchase_center_infor.service;

import com.sooka.system.gas.zenner_gas_purchase_center_infor.domain.TGuijiZennerGasPurchaseCenterInfor;

import java.util.List;

/**
 * 真兰收费系统-中心计费购气信息Service接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface ITGuijiZennerGasPurchaseCenterInforService
{
    /**
     * 查询真兰收费系统-中心计费购气信息
     *
     * @param id 真兰收费系统-中心计费购气信息ID
     * @return 真兰收费系统-中心计费购气信息
     */
    public TGuijiZennerGasPurchaseCenterInfor selectById(String id);

    /**
     * 查询真兰收费系统-中心计费购气信息列表
     *
     * @param param 真兰收费系统-中心计费购气信息
     * @return 真兰收费系统-中心计费购气信息集合
     */
    public List<TGuijiZennerGasPurchaseCenterInfor> selectList(TGuijiZennerGasPurchaseCenterInfor param);

    /**
     * 新增真兰收费系统-中心计费购气信息
     *
     * @param param 真兰收费系统-中心计费购气信息
     * @return 结果
     */
    public int insert(TGuijiZennerGasPurchaseCenterInfor param);

    /**
     * 修改真兰收费系统-中心计费购气信息
     *
     * @param param 真兰收费系统-中心计费购气信息
     * @return 结果
     */
    public int update(TGuijiZennerGasPurchaseCenterInfor param);

    /**
     * 批量删除真兰收费系统-中心计费购气信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String ids);

    /**
     * 删除真兰收费系统-中心计费购气信息信息
     *
     * @param id 真兰收费系统-中心计费购气信息ID
     * @return 结果
     */
    public int deleteById(String id);
}
