package com.sooka.system.mapper;

import java.util.List;
import com.sooka.system.domain.TGuijiHousingconstructionYsljc;

/**
 * 调度系统-用水量检测Mapper接口
 * 
 * @author lei
 * @date 2021-10-30
 */
public interface TGuijiHousingconstructionYsljcMapper 
{
    /**
     * 查询调度系统-用水量检测
     * 
     * @param id 调度系统-用水量检测ID
     * @return 调度系统-用水量检测
     */
    public TGuijiHousingconstructionYsljc selectTGuijiHousingconstructionYsljcById(String id);

    /**
     * 查询调度系统-用水量检测列表
     * 
     * @param tGuijiHousingconstructionYsljc 调度系统-用水量检测
     * @return 调度系统-用水量检测集合
     */
    public List<TGuijiHousingconstructionYsljc> selectTGuijiHousingconstructionYsljcList(TGuijiHousingconstructionYsljc tGuijiHousingconstructionYsljc);

    /**
     * 新增调度系统-用水量检测
     * 
     * @param tGuijiHousingconstructionYsljc 调度系统-用水量检测
     * @return 结果
     */
    public int insertTGuijiHousingconstructionYsljc(TGuijiHousingconstructionYsljc tGuijiHousingconstructionYsljc);

    /**
     * 修改调度系统-用水量检测
     * 
     * @param tGuijiHousingconstructionYsljc 调度系统-用水量检测
     * @return 结果
     */
    public int updateTGuijiHousingconstructionYsljc(TGuijiHousingconstructionYsljc tGuijiHousingconstructionYsljc);

    /**
     * 删除调度系统-用水量检测
     * 
     * @param id 调度系统-用水量检测ID
     * @return 结果
     */
    public int deleteTGuijiHousingconstructionYsljcById(String id);

    /**
     * 批量删除调度系统-用水量检测
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTGuijiHousingconstructionYsljcByIds(String[] ids);
}
