package com.sooka.system.mapper;

import java.util.List;
import com.sooka.system.domain.TUPeoplemarryinfosingle;

/**
 * 国家民政部-婚姻信息（单方）-数据查询接口Mapper接口
 * 
 * @author lei
 * @date 2021-07-14
 */
public interface TUPeoplemarryinfosingleMapper 
{
    /**
     * 查询国家民政部-婚姻信息（单方）-数据查询接口
     * 
     * @param id 国家民政部-婚姻信息（单方）-数据查询接口ID
     * @return 国家民政部-婚姻信息（单方）-数据查询接口
     */
    public TUPeoplemarryinfosingle selectTUPeoplemarryinfosingleById(String id);

    /**
     * 查询国家民政部-婚姻信息（单方）-数据查询接口列表
     * 
     * @param tUPeoplemarryinfosingle 国家民政部-婚姻信息（单方）-数据查询接口
     * @return 国家民政部-婚姻信息（单方）-数据查询接口集合
     */
    public List<TUPeoplemarryinfosingle> selectTUPeoplemarryinfosingleList(TUPeoplemarryinfosingle tUPeoplemarryinfosingle);

    /**
     * 新增国家民政部-婚姻信息（单方）-数据查询接口
     * 
     * @param tUPeoplemarryinfosingle 国家民政部-婚姻信息（单方）-数据查询接口
     * @return 结果
     */
    public int insertTUPeoplemarryinfosingle(TUPeoplemarryinfosingle tUPeoplemarryinfosingle);

    /**
     * 修改国家民政部-婚姻信息（单方）-数据查询接口
     * 
     * @param tUPeoplemarryinfosingle 国家民政部-婚姻信息（单方）-数据查询接口
     * @return 结果
     */
    public int updateTUPeoplemarryinfosingle(TUPeoplemarryinfosingle tUPeoplemarryinfosingle);

    /**
     * 删除国家民政部-婚姻信息（单方）-数据查询接口
     * 
     * @param id 国家民政部-婚姻信息（单方）-数据查询接口ID
     * @return 结果
     */
    public int deleteTUPeoplemarryinfosingleById(String id);

    /**
     * 批量删除国家民政部-婚姻信息（单方）-数据查询接口
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTUPeoplemarryinfosingleByIds(String[] ids);
}
