package com.sooka.system.service;

import java.util.List;
import com.sooka.system.domain.TGuijiHealthcommissionYyryxx;

/**
 * 预约人员信息Service接口
 * 
 * @author lei
 * @date 2021-11-09
 */
public interface ITGuijiHealthcommissionYyryxxService 
{
    /**
     * 查询预约人员信息
     * 
     * @param id 预约人员信息ID
     * @return 预约人员信息
     */
    public TGuijiHealthcommissionYyryxx selectTGuijiHealthcommissionYyryxxById(String id);

    /**
     * 查询预约人员信息列表
     * 
     * @param tGuijiHealthcommissionYyryxx 预约人员信息
     * @return 预约人员信息集合
     */
    public List<TGuijiHealthcommissionYyryxx> selectTGuijiHealthcommissionYyryxxList(TGuijiHealthcommissionYyryxx tGuijiHealthcommissionYyryxx);

    /**
     * 新增预约人员信息
     * 
     * @param tGuijiHealthcommissionYyryxx 预约人员信息
     * @return 结果
     */
    public int insertTGuijiHealthcommissionYyryxx(TGuijiHealthcommissionYyryxx tGuijiHealthcommissionYyryxx);

    /**
     * 修改预约人员信息
     * 
     * @param tGuijiHealthcommissionYyryxx 预约人员信息
     * @return 结果
     */
    public int updateTGuijiHealthcommissionYyryxx(TGuijiHealthcommissionYyryxx tGuijiHealthcommissionYyryxx);

    /**
     * 批量删除预约人员信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTGuijiHealthcommissionYyryxxByIds(String ids);

    /**
     * 删除预约人员信息信息
     * 
     * @param id 预约人员信息ID
     * @return 结果
     */
    public int deleteTGuijiHealthcommissionYyryxxById(String id);
}
