package com.sooka.system.service;

import java.util.List;
import com.sooka.system.domain.TGuijiHousingconstructionJfpzxx;

/**
 * 缴费凭证信息Service接口
 * 
 * @author lei
 * @date 2021-11-05
 */
public interface ITGuijiHousingconstructionJfpzxxService 
{
    /**
     * 查询缴费凭证信息
     * 
     * @param id 缴费凭证信息ID
     * @return 缴费凭证信息
     */
    public TGuijiHousingconstructionJfpzxx selectTGuijiHousingconstructionJfpzxxById(String id);

    /**
     * 查询缴费凭证信息列表
     * 
     * @param tGuijiHousingconstructionJfpzxx 缴费凭证信息
     * @return 缴费凭证信息集合
     */
    public List<TGuijiHousingconstructionJfpzxx> selectTGuijiHousingconstructionJfpzxxList(TGuijiHousingconstructionJfpzxx tGuijiHousingconstructionJfpzxx);

    /**
     * 新增缴费凭证信息
     * 
     * @param tGuijiHousingconstructionJfpzxx 缴费凭证信息
     * @return 结果
     */
    public int insertTGuijiHousingconstructionJfpzxx(TGuijiHousingconstructionJfpzxx tGuijiHousingconstructionJfpzxx);

    /**
     * 修改缴费凭证信息
     * 
     * @param tGuijiHousingconstructionJfpzxx 缴费凭证信息
     * @return 结果
     */
    public int updateTGuijiHousingconstructionJfpzxx(TGuijiHousingconstructionJfpzxx tGuijiHousingconstructionJfpzxx);

    /**
     * 批量删除缴费凭证信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTGuijiHousingconstructionJfpzxxByIds(String ids);

    /**
     * 删除缴费凭证信息信息
     * 
     * @param id 缴费凭证信息ID
     * @return 结果
     */
    public int deleteTGuijiHousingconstructionJfpzxxById(String id);
}
