package com.sooka.system.service;

import java.util.List;
import com.sooka.system.domain.TgjjGrdkzhbdxx;

/**
 * 个人贷款账户变动信息Service接口
 * 
 * @author lei
 * @date 2021-11-16
 */
public interface ITgjjGrdkzhbdxxService 
{
    /**
     * 查询个人贷款账户变动信息
     * 
     * @param ID 个人贷款账户变动信息ID
     * @return 个人贷款账户变动信息
     */
    public TgjjGrdkzhbdxx selectTgjjGrdkzhbdxxById(Long ID);

    /**
     * 查询个人贷款账户变动信息列表
     * 
     * @param tgjjGrdkzhbdxx 个人贷款账户变动信息
     * @return 个人贷款账户变动信息集合
     */
    public List<TgjjGrdkzhbdxx> selectTgjjGrdkzhbdxxList(TgjjGrdkzhbdxx tgjjGrdkzhbdxx);

    /**
     * 新增个人贷款账户变动信息
     * 
     * @param tgjjGrdkzhbdxx 个人贷款账户变动信息
     * @return 结果
     */
    public int insertTgjjGrdkzhbdxx(TgjjGrdkzhbdxx tgjjGrdkzhbdxx);

    /**
     * 修改个人贷款账户变动信息
     * 
     * @param tgjjGrdkzhbdxx 个人贷款账户变动信息
     * @return 结果
     */
    public int updateTgjjGrdkzhbdxx(TgjjGrdkzhbdxx tgjjGrdkzhbdxx);

    /**
     * 批量删除个人贷款账户变动信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTgjjGrdkzhbdxxByIds(String ids);

    /**
     * 删除个人贷款账户变动信息信息
     * 
     * @param ID 个人贷款账户变动信息ID
     * @return 结果
     */
    public int deleteTgjjGrdkzhbdxxById(Long ID);
}
