function jksy(status_0, status_1) {
    var myChart_eventPie = echarts.init(document.getElementById('jksy'));
    option_eventPie = {
        color: ['#0ad5c8', '#ea8157'],
        tooltip: {
            trigger: 'item',
            formatter: '{a} <br/>{b}: {c} ({d}%)'
        },

        legend: {
            orient: 'horizontal',
            top: '160',
            left: 'center',
            data: ['已连接', '未连接'],
            textStyle: {
                fontSize: 12,
                color: '#00cdef'
            },
        },
        series: [

            {
                name: '接口使用',
                type: 'pie',
                center: ['50%', '40%'],
                radius: ['50%', '60%'],
                avoidLabelOverlap: false,
                label: {
                    show: false,
                    position: 'center'
                },

                emphasis: {
                    label: {
                        show: true,
                        fontSize: '25',
                        fontWeight: 'bold'
                    }
                },
                labelLine: {
                    show: false
                },
                data: [
                    {value: status_0, name: '已连接'},
                    {value: status_1, name: '未连接'},

                ],

            }
        ]
    };
    myChart_eventPie.setOption(option_eventPie);
}


