package com.business.service;

import com.business.domain.ImputationData;

import java.util.List;

/**
 * @author Administrator
 */
public interface ImputationDataService {

    /**
     * 查询日志归集数据
     *
     * @param imputationData 日志归集数据
     * @return 结果
     */
    public ImputationData selectImputationData(ImputationData imputationData);

    /**
     * 新增日志归集数据
     *
     * @param imputationData 日志归集数据
     * @return 结果
     */
    public int insertImputationData(ImputationData imputationData);

    /**
     * 修改日志归集数据
     *
     * @param imputationData 日志归集数据
     * @return 结果
     */
    public int updateImputationData(ImputationData imputationData);
}
