package com.sooka.apply.domain;

import com.sooka.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 申请明细对象 int_detailed
 *
 * @author yhliang
 * @date 2021-07-06
 */
@Data
public class IntDetailed extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String id;

    private String subId;

    /** 记录表id */
    private String recordId;

    /** 接口表id */
    private String intId;

    /** 接口名称 */
    private String interfaceName;

    /** 接口地址 */
    private String interfaceAddress;

    /** 接口编码 */
    private String code;

    /** secret_key */
    private String secretKey;

    /** 用途 */
    private String purpose;

    /** 附件 */
    private String file;

}
