package com.sooka.system.gas.aofe_gas_meter_infor.mapper;

import com.sooka.system.gas.aofe_gas_meter_infor.domain.TGuijiAofeGasMeterInfor;

import java.util.List;

/**
 * 奥枫收费系统-表具信息Mapper接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface TGuijiAofeGasMeterInforMapper
{
    /**
     * 查询奥枫收费系统-表具信息
     *
     * @param id 奥枫收费系统-表具信息ID
     * @return 奥枫收费系统-表具信息
     */
    public TGuijiAofeGasMeterInfor selectById(String id);

    /**
     * 查询奥枫收费系统-表具信息列表
     *
     * @param param 奥枫收费系统-表具信息
     * @return 奥枫收费系统-表具信息集合
     */
    public List<TGuijiAofeGasMeterInfor> selectList(TGuijiAofeGasMeterInfor param);

    /**
     * 新增奥枫收费系统-表具信息
     *
     * @param param 奥枫收费系统-表具信息
     * @return 结果
     */
    public int insert(TGuijiAofeGasMeterInfor param);

    /**
     * 修改奥枫收费系统-表具信息
     *
     * @param param 奥枫收费系统-表具信息
     * @return 结果
     */
    public int update(TGuijiAofeGasMeterInfor param);

    /**
     * 删除奥枫收费系统-表具信息
     *
     * @param id 奥枫收费系统-表具信息ID
     * @return 结果
     */
    public int deleteById(String id);

    /**
     * 批量删除奥枫收费系统-表具信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String[] ids);
}
