package com.sooka.system.gas.aofe_gas_purchase_infor.service;

import com.sooka.system.gas.aofe_gas_purchase_infor.domain.TGuijiAofeGasPurchaseInfor;

import java.util.List;

/**
 * 奥枫收费系统-预付费购气信息Service接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface ITGuijiAofeGasPurchaseInforService
{
    /**
     * 查询奥枫收费系统-预付费购气信息
     *
     * @param id 奥枫收费系统-预付费购气信息ID
     * @return 奥枫收费系统-预付费购气信息
     */
    public TGuijiAofeGasPurchaseInfor selectById(String id);

    /**
     * 查询奥枫收费系统-预付费购气信息列表
     *
     * @param param 奥枫收费系统-预付费购气信息
     * @return 奥枫收费系统-预付费购气信息集合
     */
    public List<TGuijiAofeGasPurchaseInfor> selectList(TGuijiAofeGasPurchaseInfor param);

    /**
     * 新增奥枫收费系统-预付费购气信息
     *
     * @param param 奥枫收费系统-预付费购气信息
     * @return 结果
     */
    public int insert(TGuijiAofeGasPurchaseInfor param);

    /**
     * 修改奥枫收费系统-预付费购气信息
     *
     * @param param 奥枫收费系统-预付费购气信息
     * @return 结果
     */
    public int update(TGuijiAofeGasPurchaseInfor param);

    /**
     * 批量删除奥枫收费系统-预付费购气信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String ids);

    /**
     * 删除奥枫收费系统-预付费购气信息信息
     *
     * @param id 奥枫收费系统-预付费购气信息ID
     * @return 结果
     */
    public int deleteById(String id);
}
