package com.sooka.system.gas.zenner_gas_meter_infor.mapper;

import com.sooka.system.gas.zenner_gas_meter_infor.domain.TGuijiZennerGasMeterInfor;

import java.util.List;

/**
 * 真兰收费系统-表具信息Mapper接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface TGuijiZennerGasMeterInforMapper
{
    /**
     * 查询真兰收费系统-表具信息
     *
     * @param id 真兰收费系统-表具信息ID
     * @return 真兰收费系统-表具信息
     */
    public TGuijiZennerGasMeterInfor selectById(String id);

    /**
     * 查询真兰收费系统-表具信息列表
     *
     * @param param 真兰收费系统-表具信息
     * @return 真兰收费系统-表具信息集合
     */
    public List<TGuijiZennerGasMeterInfor> selectList(TGuijiZennerGasMeterInfor param);

    /**
     * 新增真兰收费系统-表具信息
     *
     * @param param 真兰收费系统-表具信息
     * @return 结果
     */
    public int insert(TGuijiZennerGasMeterInfor param);

    /**
     * 修改真兰收费系统-表具信息
     *
     * @param param 真兰收费系统-表具信息
     * @return 结果
     */
    public int update(TGuijiZennerGasMeterInfor param);

    /**
     * 删除真兰收费系统-表具信息
     *
     * @param id 真兰收费系统-表具信息ID
     * @return 结果
     */
    public int deleteById(String id);

    /**
     * 批量删除真兰收费系统-表具信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String[] ids);
}
