package com.sooka.system.mapper;

import java.util.List;
import com.sooka.system.domain.TGuijiNaturalresourcesQlrjbxx;

/**
 * 个人基本信息Mapper接口
 * 
 * @author wangjinsheng
 * @date 2021-10-28
 */
public interface TGuijiNaturalresourcesQlrjbxxMapper 
{
    /**
     * 查询个人基本信息
     * 
     * @param id 个人基本信息ID
     * @return 个人基本信息
     */
    public TGuijiNaturalresourcesQlrjbxx selectTGuijiNaturalresourcesQlrjbxxById(String id);

    /**
     * 查询个人基本信息列表
     * 
     * @param tGuijiNaturalresourcesQlrjbxx 个人基本信息
     * @return 个人基本信息集合
     */
    public List<TGuijiNaturalresourcesQlrjbxx> selectTGuijiNaturalresourcesQlrjbxxList(TGuijiNaturalresourcesQlrjbxx tGuijiNaturalresourcesQlrjbxx);

    /**
     * 新增个人基本信息
     * 
     * @param tGuijiNaturalresourcesQlrjbxx 个人基本信息
     * @return 结果
     */
    public int insertTGuijiNaturalresourcesQlrjbxx(TGuijiNaturalresourcesQlrjbxx tGuijiNaturalresourcesQlrjbxx);

    /**
     * 修改个人基本信息
     * 
     * @param tGuijiNaturalresourcesQlrjbxx 个人基本信息
     * @return 结果
     */
    public int updateTGuijiNaturalresourcesQlrjbxx(TGuijiNaturalresourcesQlrjbxx tGuijiNaturalresourcesQlrjbxx);

    /**
     * 删除个人基本信息
     * 
     * @param id 个人基本信息ID
     * @return 结果
     */
    public int deleteTGuijiNaturalresourcesQlrjbxxById(String id);

    /**
     * 批量删除个人基本信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTGuijiNaturalresourcesQlrjbxxByIds(String[] ids);
}
