package com.sooka.system.service;

import java.util.List;
import com.sooka.system.domain.TGuijiHealthcommissionTjxx;

/**
 * 体检信息表Service接口
 * 
 * @author lei
 * @date 2021-11-09
 */
public interface ITGuijiHealthcommissionTjxxService 
{
    /**
     * 查询体检信息表
     * 
     * @param id 体检信息表ID
     * @return 体检信息表
     */
    public TGuijiHealthcommissionTjxx selectTGuijiHealthcommissionTjxxById(String id);

    /**
     * 查询体检信息表列表
     * 
     * @param tGuijiHealthcommissionTjxx 体检信息表
     * @return 体检信息表集合
     */
    public List<TGuijiHealthcommissionTjxx> selectTGuijiHealthcommissionTjxxList(TGuijiHealthcommissionTjxx tGuijiHealthcommissionTjxx);

    /**
     * 新增体检信息表
     * 
     * @param tGuijiHealthcommissionTjxx 体检信息表
     * @return 结果
     */
    public int insertTGuijiHealthcommissionTjxx(TGuijiHealthcommissionTjxx tGuijiHealthcommissionTjxx);

    /**
     * 修改体检信息表
     * 
     * @param tGuijiHealthcommissionTjxx 体检信息表
     * @return 结果
     */
    public int updateTGuijiHealthcommissionTjxx(TGuijiHealthcommissionTjxx tGuijiHealthcommissionTjxx);

    /**
     * 批量删除体检信息表
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTGuijiHealthcommissionTjxxByIds(String ids);

    /**
     * 删除体检信息表信息
     * 
     * @param id 体检信息表ID
     * @return 结果
     */
    public int deleteTGuijiHealthcommissionTjxxById(String id);
}
